# SIPPoolTimer< Target_T > Class Template Reference

`#include <sippdu.h>`

Inheritance diagram for SIPPoolTimer< Target_T >:

[legend]
Collaboration diagram for SIPPoolTimer< Target_T >:
[legend]

## Public Member Functions

| SIPPoolTimer (SIPThreadPool &pool, SIPEndPoint &ep, const PString &token, void(Target_T::*callback)())
virtual const char * | GetGroup (const Work_T &) const
| PTIMER_OPERATORS (SIPPoolTimer)

### template<class Target_T>
class SIPPoolTimer< Target_T >

## Constructor & Destructor Documentation

template<class Target_T>

SIPPoolTimer< Target_T >::SIPPoolTimer | ( | SIPThreadPool & | pool,
|  | SIPEndPoint & | ep,
|  | const PString & | token,
|  | void(Target_T::*)() | callback |
| ) |  |  | `[inline]`

## Member Function Documentation

template<class Target_T>

virtual const char* SIPPoolTimer< Target_T >::GetGroup | ( | const Work_T & |  | ) | const`[inline, virtual]`

template<class Target_T>

SIPPoolTimer< Target_T >::PTIMER_OPERATORS | ( | SIPPoolTimer< Target_T > |  | ) |

The documentation for this class was generated from the following file:

- sippdu.h